Summary:       The gerrit client tools
Name:          gerrymander
Version:       1.5
Release:       6%{?dist}
Source0:       https://pypi.python.org/packages/source/g/%{name}/%{name}-%{version}.tar.gz
URL:           https://pypi.python.org/pypi/gerrymander
License:       ASL 2.0
Group:         Development/Libraries

BuildArch:     noarch
BuildRequires: python2-devel
BuildRequires: python-nose

BuildRequires: python3-nose
BuildRequires: python3-devel
Requires:      python3-gerrymander

%package -n python-gerrymander
Summary: The gerrit python2 client
License: GPLv2+
Requires: python-prettytable
Group: Development/Libraries

%package -n python3-gerrymander
Summary: The gerrit python3 client
License: GPLv2+
Requires: python3-prettytable
Group: Development/Libraries


%description
The gerrymander package provides a set of command line tools
for interacting with Gerrit

%description -n python-gerrymander
The python2-gerrymander package provides a set of python2
modules for interacting with Gerrit.

%description -n python3-gerrymander
The python3-gerrymander package provides a set of python3
modules for interacting with Gerrit.

%prep
%setup -q

rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

# Remove any egg info (as of submitting this review, there's no bundled
# egg info)
rm -rf *.egg-info

%build
%{__python2} setup.py build

%{__python3} setup.py build

%install
%{__python2} setup.py install --skip-build --root=%{buildroot}

# The Python 2 installation process installs its own version
# of the application. As we only want to package the Python 3 version of the
# application, we delete the Python 2 executable(s) so that the Python 3
# version(s) can take their place afterwards.
rm %{buildroot}%{_bindir}/*

%{__python3} setup.py install --skip-build --root=%{buildroot}

%check
# setup.py's integration does 'python3 /usr/bin/nosetests', which isn't
# going to work. So we'll just call nosetests ourselves.
nosetests-%{python2_version}

nosetests-%{python3_version}

%files
%doc conf/gerrymander.conf-example
%{_bindir}/gerrymander

%files -n python-gerrymander
%doc README LICENSE
%{python2_sitelib}/gerrymander/
%{python2_sitelib}/%{name}-%{version}-py2.7.egg-info

%files -n python3-gerrymander
%doc README LICENSE
%{python3_sitelib}/gerrymander/
%{python3_sitelib}/%{name}-%{version}-py3.*.egg-info

%changelog
* Thu Feb 16 2017 Iryna Shcherbina <ishcherb@redhat.com> - 1.5-6
- Fix Python 2 dependency in gerrymander (RHBZ#1422897)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Dec 28 2016 Adam Williamson <awilliam@redhat.com> - 1.5.4
- fix test invocation for Python 3

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com>
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Feb 29 2016 Kashyap Chamarthy <kashyapc@fedoraproject.org> - 1.5.2
- Add the Python PrettyTable dependency to relevant sub-packages
  (Thanks, Daniel Berrange, Matthew Booth)

* Mon Feb 22 2016 Kashyap Chamarthy <kashyapc@fedoraproject.org> - 1.5.1
- New upstream release 1.5

* Tue Feb 16 2016 Kashyap Chamarthy <kashyapc@fedoraproject.org> - 1.4.5
- Add 'python-prettytable' to 'Requires'; fixes rhbz# 1307167

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jan 09 2015 Kashyap Chamarthy <kashyapc@fedoraproject.org> - 1.4.1
- Update to new upstream release 1.4
- Change the official source to pypi (from github generated tarballs)
- Change the URL to pypi

* Wed Aug 20 2014 Kashyap Chamarthy <kashyapc@fedoraproject.org> - 1.3.4
- Remove with_python3 conditional, as current Fedora releases have it

* Tue Aug 19 2014 Kashyap Chamarthy <kashyapc@fedoraproject.org> - 1.3.3
- Update %%files section correctly

* Mon Aug 18 2014 Kashyap Chamarthy <kashyapc@fedoraproject.org> - 1.3.2
- Address review comments from rhbz# 1128253

* Tue Aug 05 2014 Kashyap Chamarthy <kashyapc@fedoraproject.org> - 1.3-1
- Initial package
